<?php
/**
 * The template for displaying the footer
 * Contains the closing of the #content div and all content after.
 * @package Alurra
 * @since 1.0.0
 */
 
 if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

$alurra_back_to_top_text = get_theme_mod( 'alurra_back_to_top_text', esc_html__('Back to the Top', 'alurra' ) );
?>

		</div><!-- #content -->
	</main><!-- #main -->
	
	<?php // action hook for any content placed before the main content
	do_action ( 'alurra_after_main_content' );
	?>	
	
</div><!-- #page-->

 <?php alurra_paging_nav(); ?>
 
      <?php // Navigation for Single Posts
      if( is_single() && ! is_attachment() && ! esc_attr(get_theme_mod( 'alurra_hide_post_nav', 0 ))) {
		alurra_post_pagination();
      }
      ?>

	<?php // action hook for any content placed before the bottom sidebar area
	do_action ( 'alurra_before_bottom_sidebar' );
	?>
	
<aside id="bottom-sidebar">
	<?php get_template_part( 'template-parts/sidebar', 'bottom' ); ?>
</aside>

	<?php // action hook for any content placed before the site footer
	do_action ( 'alurra_before_site_footer' );
	?>	  
	
<footer id="colophon" class="site-footer" role="contentinfo">

	<div class="container">
		<div id="site-info" class="row">
		
			<?php // action hook for any content placed in the footer and before the site info
			do_action ( 'alurra_before_footer_info' );
			?>
		
			  <div class="col-12">
			  
				<?php if ( has_nav_menu( 'bottom-social' ) ) { 
						echo ' <nav id="social-menu-wrapper">';
							wp_nav_menu( array(
							'theme_location' => 'bottom-social',
							'menu_class'  => 'social-profiles',
							'container' => false,
							'echo' => true,
							'link_before' => '<span class="social-profile-label">',
							'link_after' => '</span>',
							'depth' => 1,
							)
							);
						echo '</nav>';
						}
				?>

				<?php if ( has_nav_menu( 'footer' ) ) : ?>
					<nav aria-label="<?php esc_attr_e( 'Footer menu', 'alurra' ); ?>" class="footer-navigation">
						<ul id="footer-navigation-wrapper" class="d-flex justify-content-center">
							<?php
							wp_nav_menu(
								array(
									'theme_location' => 'footer',
									'items_wrap'     => '%3$s',
									'container'      => false,
									'depth'          => 1,
									'link_before'    => '<span>',
									'link_after'     => '</span>',
									'fallback_cb'    => false,
								)
							);
							?>
						</ul><!-- .footer-navigation-wrapper -->
					</nav><!-- .footer-navigation -->
				<?php endif; ?>
				
	            <div id="site-copyright">							
				
				<div id="footer-tagline">
			<?php bloginfo( 'name' ); if ( get_bloginfo( 'description' )  !== '' ) { 
				echo '<span>&mdash;</span>';
				bloginfo( 'description' );  } ?>
			</div>
			
                <?php esc_html_e('Copyright &copy;', 'alurra'); ?>
                <?php echo esc_html( date_i18n( __( 'Y', 'alurra' ) ) ); ?>
                <span id="copyright-name"><?php echo esc_html(get_theme_mod( 'alurra_copyright', esc_html__( 'Your Name Here', 'alurra' ) )); ?></span>.
                <?php esc_html_e('All rights reserved.', 'alurra'); ?>
				</div>			
				
				<div id="back-to-top-wrapper">
					<a title="<?php echo wp_kses_post( $alurra_back_to_top_text );  ?>" id="back-to-top">&lsqb; <span><?php echo wp_kses_post( $alurra_back_to_top_text ); ?></span> &rsqb;</a>
				</div>

			</div>
		</div>
	</div>
</footer>
	  

<?php wp_footer(); ?>
</body>
</html>