<?php
/**
 * Theme Info
 * @package Alurra
 * @since 1.0.1
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

function alurra_customizer_theme_info( $wp_customize ) {
	
    $wp_customize->add_section( 'theme_info', array(
		'title'       => esc_html__( 'Demo & Documentation' , 'alurra' ),
		'priority'    => 6,
	) );
    
    /** Important Links */
	$wp_customize->add_setting( 'theme_info_theme', array(
            'default' => '',
            'sanitize_callback' => 'wp_kses_post',
        )
    );
    
    $theme_info = '<p class="info-desc">';
	$theme_info .= esc_html__( 'Theme resources for you to begin setting up your new theme with tutorials and support.', 'alurra' );
    $theme_info .= '</p><p>';
    $theme_info .= sprintf( __( 'Documentation Link: %1$sAlurra Tutorials.%2$s', 'alurra' ),  '<a href="' . esc_url( 'https://www.roughpixels.com/documentation/alurra-tutorials/' ) . '" target="_blank">', '</a>' );
    $theme_info .= '</p>';

	$wp_customize->add_control( new Alurra_Note_Control( $wp_customize, 'theme_info_theme', array(
                'section'     => 'theme_info',
				'label'	      => esc_html__( 'Theme Tutorials', 'alurra' ),
                'description' => $theme_info
            )
        )
    );
    
}
add_action( 'customize_register', 'alurra_customizer_theme_info' );
