<?php

/**
 * Upgrade Theme Info
 * @package Alurra
 * @since 1.0.5
 */

if (!defined('ABSPATH')) {
	exit; // Exit if accessed directly.
}

// Load the premium upgrade info when using the free version
function alurra_customizer_alurra_upgrade($wp_customize)
{

	$wp_customize->add_section('alurra_upgrade', array(
		'title'       => esc_html__('Alurra Pro Features - Save $10', 'alurra'),
		'priority'    => 5,
	));

	/** Important Links */
	$wp_customize->add_setting(
		'alurra_upgrade_theme',
		array(
			'default' => '',
			'sanitize_callback' => 'wp_kses_post',
		)
	);

	$alurra_upgrade = '<div class="upgrade-pro">';
	$alurra_upgrade .= '<p class="rp-discount">';
	$alurra_upgrade .= esc_html__('Save $10 (Limited Time Offer!) if you decide to upgrade to the Personal Year or Lifetime (Pro plugin) option with this discount code on checkout: ', 'alurra');
	$alurra_upgrade .= '<span class="rp-discount-code">';
	$alurra_upgrade .= 'ALURRA10';
	$alurra_upgrade .= '</span></p>';
	$alurra_upgrade .= '<p class="rp-pro-title">';
	$alurra_upgrade .= esc_html__('Pro Features: ', 'alurra');

	$alurra_upgrade .= '</p><ul class="rp-pro-list">';
	$alurra_upgrade .= '<li>' . esc_html('&bull; Custom Side Column for Categories', 'alurra') . '</li>';
	$alurra_upgrade .= '<li>' . esc_html('&bull; Custom Side Column Post Images', 'alurra') . '</li>';
	$alurra_upgrade .= '<li>' . esc_html('&bull; Custom Side Column Page Images', 'alurra') . '</li>';
	$alurra_upgrade .= '<li>' . esc_html('&bull; 10 Blog Styles', 'alurra') . '</li>';
	$alurra_upgrade .= '<li>' . esc_html('&bull; 10 Post Styles', 'alurra') . '</li>';
	$alurra_upgrade .= '<li>' . esc_html('&bull; Custom Blog Intro', 'alurra') . '</li>';
	$alurra_upgrade .= '<li>' . esc_html('&bull; Customize Excerpt Sizes', 'alurra') . '</li>';
	$alurra_upgrade .= '<li>' . esc_html('&bull; Customizable Text Labels', 'alurra') . '</li>';
	$alurra_upgrade .= '<li>' . esc_html('&bull; Hero Image Headers – Posts & Pages', 'alurra') . '</li>';
	$alurra_upgrade .= '<li>' . esc_html('&bull; Adjust Header Image Overlay Transparency', 'alurra') . '</li>';
	$alurra_upgrade .= '<li>' . esc_html('&bull; Custom Image Widget for Banners', 'alurra') . '</li>';
	$alurra_upgrade .= '<li>' . esc_html('&bull; Adjustable Logo Sizing', 'alurra') . '</li>';
	$alurra_upgrade .= '<li>' . esc_html('&bull; Mailchimp Support w/Styled Signup', 'alurra') . '</li>';
	$alurra_upgrade .= '<li>' . esc_html('&bull; Customized Contact 7 Form', 'alurra') . '</li>';
	$alurra_upgrade .= '<li>' . esc_html('&bull; Auto Create Featured Image Thumbnails', 'alurra') . '</li>';
	$alurra_upgrade .= '<li>' . esc_html('&bull; Related Posts w/Thumbnails', 'alurra') . '</li>';
	$alurra_upgrade .= '<li>' . esc_html('&bull; Author Widget w/Thumbnail', 'alurra') . '</li>';
	$alurra_upgrade .= '<li>' . esc_html('&bull; Comments Widget w/Thumbnails', 'alurra') . '</li>';
	$alurra_upgrade .= '<li>' . esc_html('&bull; Show/Hide Blog &amp; Post Elements', 'alurra') . '</li>';
	$alurra_upgrade .= '<li>' . esc_html('&bull; Disable Gutenberg Theme Styles', 'alurra') . '</li>';
	$alurra_upgrade .= '<li>' . esc_html('...and much more!', 'alurra') . '</li></ul>';


	$alurra_upgrade .= esc_html__('Even though the FREE version of Alurra offers a lot, you may want to opt-in for more features.', 'alurra');
	$alurra_upgrade .= '<p>';
	$alurra_upgrade .= sprintf(__('%1$sView Details%2$s', 'alurra'),  '<a class="rp-get-pro button" href="' . esc_url('https://www.roughpixels.com/themes/alurra/') . '" target="_blank">', '</a>');
	$alurra_upgrade .= '</p></div>';


	$wp_customize->add_control(
		new Alurra_Note_Control(
			$wp_customize,
			'alurra_upgrade_theme',
			array(
				'section'     => 'alurra_upgrade',
				'label'	      => esc_html__('Alurra Pro', 'alurra'),
				'description' => $alurra_upgrade
			)
		)
	);
}

add_action('customize_register', 'alurra_customizer_alurra_upgrade', 10);
