<?php
/**
 * Dynamic Inline Styles
 * @package Alurra
 * @since 1.0.0
*/

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

// Dynamic CSS
if( ! function_exists( 'alurra_inline_css' ) ) :
function alurra_inline_css(){
    
	/* Typography*/
    $primary_font    = get_theme_mod( 'primary_font', 'Merriweather' );
    $primary_fonts   = alurra_get_fonts( $primary_font, 'regular' );
    $secondary_font  = get_theme_mod( 'secondary_font', 'Playfair Display' );
    $secondary_fonts = alurra_get_fonts( $secondary_font, 'regular' );
    $font_size       = get_theme_mod( 'font_size', 16 );
    $site_title_font      = get_theme_mod( 'site_title_font', array( 'font-family'=>'Playfair Display', 'variant'=>'700' ) );
    $site_title_fonts     = alurra_get_fonts( $site_title_font['font-family'], $site_title_font['variant'] );
    $site_title_font_size = get_theme_mod( 'site_title_font_size', 3 );
	$site_title_font_size_basic = get_theme_mod( 'site_title_font_size_basic', 2 );
	
	 /* Colours */
	$alurra_primary_colour = get_theme_mod( 'alurra_primary_colour', '#8a8c2c' );
	$alurra_secondary_colour = get_theme_mod( 'alurra_secondary_colour', '#b38a2d' );
	$alurra_secondary_hover_colour = get_theme_mod( 'alurra_secondary_hover_colour', '#cc9926' );
	$alurra_body_bg_colour = get_theme_mod( 'alurra_body_bg_colour', '#fff' );
	$alurra_footer_bg_colour = get_theme_mod( 'alurra_footer_bg_colour', '#fff' );
	$alurra_bottom_sidebar_bg_colour = get_theme_mod( 'alurra_bottom_sidebar_bg_colour', '#fff' );
	$alurra_primary_text_colour =  get_theme_mod( 'alurra_primary_text_colour', '#484848' );
	$alurra_secondary_text_colour = get_theme_mod( 'alurra_secondary_text_colour', '#aeaeae' );
	$alurra_page_excerpt_colour = get_theme_mod( 'alurra_page_excerpt_colour', '#757575' );
	$alurra_footer_text_colour = get_theme_mod( 'alurra_footer_text_colour', '#8c8c8c' );
	$alurra_content_line_colour= get_theme_mod( 'alurra_content_line_colour', '#f1f1f1' );
	$alurra_search_icon_colour = get_theme_mod( 'alurra_search_icon_colour', '#fff' );
	$alurra_top_social_border_colour = get_theme_mod( 'alurra_top_social_border_colour', '#777' );
	$alurra_top_social_icon_colour = get_theme_mod( 'alurra_top_social_icon_colour', '#b3b3b3' );
	$alurra_footer_social_bg_colour = get_theme_mod( 'alurra_footer_social_bg_colour', '#b38a2d' );
	$alurra_footer_social_icon_colour = get_theme_mod( 'alurra_footer_social_icon_colour', '#fff' );
	$alurra_footer_social_bg_hover_colour = get_theme_mod( 'alurra_footer_social_bg_hover_colour', '#333' );
	$alurra_footer_social_icon_hover_colour = get_theme_mod( 'alurra_footer_social_icon_hover_colour', '#fff' );
	$alurra_header_bg_colour = get_theme_mod( 'alurra_header_bg_colour', '#222' );
	$alurra_header_title_colour = get_theme_mod( 'alurra_header_title_colour', '#fff' );
	$alurra_header_tagline_colour = get_theme_mod( 'alurra_header_tagline_colour', '#fff' );
	$alurra_primary_nav_bg_colour = get_theme_mod( 'alurra_primary_nav_bg_colour', '#e2e2d1' );
	$alurra_primary_nav_link_colour = get_theme_mod( 'alurra_primary_nav_link_colour', '#6b6b26' );
	$alurra_primary_nav_link_hover_colour = get_theme_mod( 'alurra_primary_nav_link_hover_colour', '#000' );
	$alurra_primary_submenu_bg_colour = get_theme_mod( 'alurra_primary_submenu_bg_colour', '#f5f5f5' );
	$alurra_primary_submenu_link_colour = get_theme_mod( 'alurra_primary_submenu_link_colour', '#3e3e3e' );
	$alurra_primary_submenu_link_hover_colour = get_theme_mod( 'alurra_primary_submenu_link_hover_colour', '#000' );
	$alurra_mobile_nav_lines_colour = get_theme_mod( 'alurra_mobile_nav_lines_colour', '#f5f5f5' );	
	$alurra_post_nav_bg_colour = get_theme_mod( 'alurra_post_nav_bg_colour', '#f1f1f1' );
	$alurra_featured_label_bg_colour = get_theme_mod( 'alurra_featured_label_bg_colour', '#b38a2d' );
	$alurra_featured_label_text_colour = get_theme_mod( 'alurra_featured_label_text_colour', '#fff' );
	$alurra_category_label_border_colour = get_theme_mod( 'alurra_category_label_border_colour', '#b38a2d' );
	$alurra_category_label_text_colour = get_theme_mod( 'alurra_category_label_text_colour', '#b38a2d' );
	$alurra_heading_colour = get_theme_mod( 'alurra_heading_colour', '#222' );
	$alurra_archive_prefix_colour = get_theme_mod( 'alurra_archive_prefix_colour', '#b38a2d' );
	$alurra_link_colour = get_theme_mod( 'alurra_link_colour', '#cc9926' );
	$alurra_link_hover_colour = get_theme_mod( 'alurra_link_hover_colour', '#a9b87b' );
	$alurra_button_bg_colour = get_theme_mod( 'alurra_button_bg_colour', '#a9b87b' );
	$alurra_button_text_colour = get_theme_mod( 'alurra_button_text_colour', '#fff' );
	$alurra_button_bg_hover_colour = get_theme_mod( 'alurra_button_bg_hover_colour', '#333' );
	$alurra_button_text_hover_colour = get_theme_mod( 'alurra_button_text_hover_colour', '#fff' );
	$alurra_form_placeholder_text_colour = get_theme_mod( 'alurra_form_placeholder_text_colour', '#bababa' );

	/* Misc */
	$alurra_header_overlay_opacity = get_theme_mod( 'alurra_header_overlay_opacity', 0.2 );	
	$alurra_image_placeholder_bg_colour = get_theme_mod( 'alurra_image_placeholder_bg_colour', '#f1f1f1' );
	$alurra_image_placeholder_icon_colour = get_theme_mod( 'alurra_image_placeholder_icon_colour', '#bfbfbf' );
	$alurra_post_nav_line_colour = get_theme_mod( 'alurra_post_nav_line_colour', '#b38a2d' );
	$alurra_post_nav_link_colour = get_theme_mod( 'alurra_post_nav_link_colour', '#222' );
	$alurra_custom_logo_size = get_theme_mod( 'alurra_custom_logo_size', 300 );
	$alurra_comment_author_label = get_theme_mod( 'alurra_comment_author_label', '[Author]' );
	$alurra_select_text_bg_colour = get_theme_mod( 'alurra_select_text_bg_colour', '#a9b87b' );
	 $alurra_select_text_colour = get_theme_mod( 'alurra_select_text_colour', '#fff' );
	 $alurra_hide_banner_captions = get_theme_mod( 'alurra_hide_banner_captions', 0 );
	 
 echo '<style type="text/css" media="all">'; 
  ?>

:root {
	
	--rp-primary-colour: <?php echo esc_attr( $alurra_primary_colour ); ?>;
	--rp-secondary-colour: <?php echo esc_attr( $alurra_secondary_colour ); ?>;
	--rp-body-bg-colour: <?php echo esc_attr( $alurra_body_bg_colour ); ?>;
	--rp-footer-bg-colour: <?php echo esc_attr( $alurra_footer_bg_colour ); ?>;
	--rp-bottom-sidebar-bg-colour: <?php echo esc_attr( $alurra_bottom_sidebar_bg_colour ); ?>;
	--rp-primary-text-colour: <?php echo esc_attr( $alurra_primary_text_colour ); ?>;
	--rp-secondary-text-colour: <?php echo esc_attr( $alurra_secondary_text_colour ); ?>;
	--rp-page-excerpt-colour: <?php echo esc_attr( $alurra_page_excerpt_colour ); ?>;
	--rp-secondary-hover-colour: <?php echo esc_attr( $alurra_secondary_hover_colour ); ?>;	
	--rp-content-line-colour: <?php echo esc_attr( $alurra_content_line_colour ); ?>;
	--rp-footer-text-colour: <?php echo esc_attr( $alurra_footer_text_colour ); ?>;
	--rp-search-icon-colour: <?php echo esc_attr( $alurra_search_icon_colour ); ?>;
	--rp-top-social-border-colour: <?php echo esc_attr( $alurra_top_social_border_colour ); ?>;
	--rp-top-social-icon-colour: <?php echo esc_attr( $alurra_top_social_icon_colour ); ?>;
	--rp-footer-social-bg-colour: <?php echo esc_attr( $alurra_footer_social_bg_colour ); ?>;
	--rp-footer-social-icon-colour:  <?php echo esc_attr( $alurra_footer_social_icon_colour ); ?>;
	--rp-footer-social-bg-hover-colour: <?php echo esc_attr( $alurra_footer_social_bg_hover_colour ); ?>;
	--rp-footer-social-icon-hover-colour: <?php echo esc_attr( $alurra_footer_social_icon_hover_colour ); ?>;
	--rp-header-bg-colour: <?php echo esc_attr( $alurra_header_bg_colour ); ?>;
	--rp-header-overlay-opacity: <?php echo esc_attr( $alurra_header_overlay_opacity ); ?>;
	--rp-header-title-colour: <?php echo esc_attr( $alurra_header_title_colour ); ?>;
	--rp-header-tagline-colour: <?php echo esc_attr( $alurra_header_tagline_colour ); ?>;
	--rp-primary-nav-bg-colour: <?php echo esc_attr( $alurra_primary_nav_bg_colour ); ?>;
	--rp-mobile-nav-lines-colour: <?php echo esc_attr( $alurra_mobile_nav_lines_colour ); ?>;
	--rp-primary-nav-link-colour: <?php echo esc_attr( $alurra_primary_nav_link_colour ); ?>;
	--rp-primary-nav-link-hover-colour: <?php echo esc_attr( $alurra_primary_nav_link_hover_colour ); ?>;
	--rp-primary-submenu-bg-colour: <?php echo esc_attr( $alurra_primary_submenu_bg_colour ); ?>;
	--rp-primary-submenu-link-colour: <?php echo esc_attr( $alurra_primary_submenu_link_colour ); ?>;
	--rp-primary-submenu-link-hover-colour: <?php echo esc_attr( $alurra_primary_submenu_link_hover_colour ); ?>;
	--rp-post-nav-bg-colour: <?php echo esc_attr( $alurra_post_nav_bg_colour ); ?>;
	--rp-featured-label-bg-colour: <?php echo esc_attr( $alurra_featured_label_bg_colour ); ?>;
	--rp-featured-label-text-colour: <?php echo esc_attr( $alurra_featured_label_text_colour ); ?>;
	--rp-category-label-border-colour: <?php echo esc_attr( $alurra_category_label_border_colour ); ?>;
	--rp-category-label-text-colour: <?php echo esc_attr( $alurra_category_label_text_colour ); ?>;
	--rp-heading-colour: <?php echo esc_attr( $alurra_heading_colour ); ?>;
	--rp-archive-prefix-colour: <?php echo esc_attr( $alurra_archive_prefix_colour ); ?>;
	--rp-link-colour: <?php echo esc_attr( $alurra_link_colour ); ?>;
	--rp-link-hover-colour: <?php echo esc_attr( $alurra_link_hover_colour ); ?>;
	--rp-button-bg-colour: <?php echo esc_attr( $alurra_button_bg_colour ); ?>;
	--rp-button-text-colour: <?php echo esc_attr( $alurra_button_text_colour ); ?>;
	--rp-button-hover-bg-colour: <?php echo esc_attr( $alurra_button_bg_hover_colour ); ?>;
	--rp-button-text-hover-colour: <?php echo esc_attr( $alurra_button_text_hover_colour ); ?>;
	--rp-form-placeholder-text-colour: <?php echo esc_attr( $alurra_form_placeholder_text_colour ); ?>;
	--rp-image-placeholder-bg-colour: <?php echo esc_attr( $alurra_image_placeholder_bg_colour ); ?>;
	--rp-image-placeholder-icon-colour: <?php echo esc_attr( $alurra_image_placeholder_icon_colour ); ?>;
	--rp-post-nav-link-colour: <?php echo esc_attr( $alurra_post_nav_link_colour ); ?>;
	--rp-post-nav-link-line-colour: <?php echo esc_attr( $alurra_post_nav_line_colour ); ?>;
	--rp-select-bg-colour: <?php echo esc_attr( $alurra_select_text_bg_colour ); ?>;
	--rp-select-text-colour: <?php echo esc_attr( $alurra_select_text_colour ); ?>;
	--rp-logo-size: <?php echo esc_attr( $alurra_custom_logo_size ); ?>px;
}


body {
--rp-font-primary: <?php echo wp_kses_post( $primary_fonts['font'] ); ?>;
font-size: <?php echo absint( $font_size ); ?>px;
font-size: calc(<?php echo absint( $font_size ); ?>px + 0.025vw);
}



#site-title {
--rp-font-secondary: <?php echo wp_kses_post( $site_title_fonts['font'] ); ?>;
font-size: calc(1rem + <?php echo esc_attr( $site_title_font_size ); ?>vw);
font-weight: <?php echo esc_attr( $site_title_fonts['weight'] ); ?>;
font-style: <?php echo esc_attr( $site_title_fonts['style'] ); ?>;
}

.site-header-basic #site-title {
	font-size: calc(1rem + <?php echo esc_attr( $site_title_font_size_basic ); ?>vw);
}

h1, h2, h3, h4, h5, h6 {
font-family : <?php echo wp_kses_post( $secondary_fonts['font'] ); ?>;
}

.bypostauthor .fn:after { 
content: "<?php echo wp_kses_post( $alurra_comment_author_label); ?>";
}

<?php if( esc_attr(get_theme_mod( 'alurra_hide_banner_captions', 0 ) ) ) {	 ?>
	 #banner-sidebar .wp-caption-text {
		 display: none;
	 }
<?php } ?>

<?php echo '</style>';
}
endif;
add_action( 'wp_head', 'alurra_inline_css', 99 );
