<?php
/**
 * No Content Template
 * Template part for displaying a message that posts cannot be found
 * @package Alurra
 * @since 1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}
?>

<header class="page-header">
	<h1 class="page-title not-found-title"><?php esc_html_e( 'Nothing Found', 'alurra' ); ?></h1>
</header>

<div class="not-found">
  <div class="inner">
    <div class="page-content has-accent-color-links">
      <?php if ( is_home() && current_user_can( 'publish_posts' ) ) : ?>

      <p>
        <?php esc_html_e( 'Ready to publish your first post?', 'alurra' ); ?> <a href="<?php echo esc_url( admin_url( 'post-new.php' ) ); ?>"><?php esc_html_e( 'Get started here', 'alurra' ); ?></a>.
      </p>

      <?php elseif ( is_search() ) : ?>
      
      <h2 class="entry-title"><?php esc_html_e( 'No Results Found', 'alurra' ); ?></h2>
      <p><?php esc_html_e( 'Sorry, but nothing matched your search terms. Please try again with some different keywords.', 'alurra' ); ?></p>
      <?php get_search_form(); ?>
      
      <a href="<?php echo esc_url( home_url( '/' ) ); ?>" class="nav-link"><?php esc_html_e( 'Back To Homepage &rarr;', 'alurra' ); ?></a>
      
      <?php else : ?>

      <p><?php esc_html_e( 'It seems we can&rsquo;t find what you&rsquo;re looking for. Perhaps searching can help.', 'alurra' ); ?></p>
      <?php get_search_form(); ?>

      <?php endif; ?>
    </div>
  </div>
</div>