<?php
/**
 * The page content template
 * This is the template that displays page content.
 * @package Alurra
 * @since 1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

  <?php the_title( '<header class="page-header"><h1 class="entry-title">', '</h1></header>' ); ?>

	<?php if ( has_excerpt() && !is_archive() && !is_search() && !is_404()  ) : ?>
	<div id="page-excerpt">
		<?php  the_excerpt();  ?>
	</div>
	<?php endif;?>
		
  <div class="entry-content">
    <?php 
		the_content();
		if (! esc_attr(get_theme_mod( 'alurra_hide_edit', 0 ))) {
				edit_post_link( esc_html( 'Edit This Page', 'alurra' ), '<p class="post-edit_post_link">', '</p>' );
		}
		alurra_multipage_pagination();
    ?>
  </div><!-- .entry-content -->
  
</article><!-- #post-## -->
