<?php
/**
 * The search results template file used to display search results.
 * @package Alurra
 * @since 1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<div class="row">
	
	<?php if (has_post_thumbnail()) {
		echo '<div class="col-md-5">';			
			alurra_post_thumbnail(); 
		echo '</div><div class="col-md-7">';
	} else {
		echo '<div class="col-md-12">';
	}
	?>

  <header class="entry-header">
	  <?php 
		if (!esc_attr(get_theme_mod( 'alurra_hide_blog_category', 1 ))) {
			alurra_featured_cat_labels();
		}
		
		the_title( sprintf( '<h2 class="entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' ); 

		if (!esc_attr(get_theme_mod( 'alurra_hide_summary_entry_meta', 1 ))) {
			alurra_entry_meta(); 
		}
	  ?>
  </header>

	<div class="entry-content">
		<?php the_excerpt(); ?>
	</div>
	
	</div>
</div>

</article>